Page MenuHomePhabricator

reimage maps-test2003 to test migration of current style to stretch
Closed, ResolvedPublic

Description

To test migrating the current maps stack to stretch, let's isolate maps-test2003 and reimage it to stretch. We will then re run the data import procedures to validate them.

Details

Related Gerrit Patches:

Event Timeline

Gehel created this task.Jun 27 2018, 9:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2018, 9:36 AM
Gehel triaged this task as High priority.Jun 27 2018, 9:36 AM
Gehel moved this task from Backlog to In progress on the Maps-Sprint board.

Change 442258 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: isolate maps-test2003 and reimage it to stretch

https://gerrit.wikimedia.org/r/442258

Mentioned in SAL (#wikimedia-operations) [2018-06-27T10:38:56Z] <gehel> removing maps-test2003 from cluster for reimage - T198290

Change 442258 merged by Gehel:
[operations/puppet@production] maps: isolate maps-test2003 and reimage it to stretch

https://gerrit.wikimedia.org/r/442258

Script wmf-auto-reimage was launched by gehel on neodymium.eqiad.wmnet for hosts:

['maps-test2003.codfw.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201806280923_gehel_15081.log.

Gehel reassigned this task from Gehel to Mholloway.Jun 28 2018, 1:10 PM
Gehel moved this task from In progress to Needs review on the Maps-Sprint board.

Reimage is complete. Puppet is green. I did nothing on the data import side, so tilerator / kartotherian are still failing (expected).

@Mholloway: I'll let you continue on this. Ping me if there is anything wrong (I only did very limited testing).

Great, thank you, @Gehel!

Mholloway closed this task as Resolved.Jul 3 2018, 4:42 PM